CN REST - Story #7197

Test changes to Node Registry
2015-06-16 12:15 - Dave Vieglais

Status: Closed Start date: 2015-08-06
Priority: Normal Due date:

Assignee: Andrei Buium % Done: 100%
Category: d1_cn_noderegistry Estimated time: 0.00 hour
Target version: CCl-2.0.0

Story Points:

Description

Several changes were made to the types schema to add in support for arbitrary key-value pairs in the Node Registry.

Implementation of this functionality needs to be tested.
For example:

e adding latitude and longitude values
¢ store BinHex encoded images (e.g. member node icons)

Subtasks:

Task # 7287: Implement Node.Property storage and retrieval Closed
Related issues:

Related to Infrastructure - Story #6723: test v2 MN and CN buildouts Closed 2015-01-06 2015-01-07
Related to Infrastructure - Story #6711: Add extensible key/value metadata to... Closed 2014-12-01 2014-12-17

History

#1 - 2015-06-16 15:04 - Dave Vieglais
- Related to Story #6723: test v2 MN and CN buildouts added

#2 - 2015-06-16 16:21 - Dave Vieglais

- Related to Story #6711: Add extensible key/value metadata to Node Registry structures added

#3 - 2015-07-01 15:22 - Andrei Buium
- Status changed from New to In Progress

- % Done changed from 0 to 30

Tests are written but we need a way to clean up after the tests

(since we can't through the API - CN.updateNodeCapabilities() can be reverted easily, but CN.register() can't).

We'd need an Idap script to delete the node registration and also need to clear hzNodes.

#4 - 2015-07-01 16:22 - Dave Vieglais
- Target version changed from CCI-2.0-TRUNK to CCI-2.0.0

#5 - 2015-07-01 16:54 - Dave Vieglais

- Category set to d1_cn_noderegistry
#6 - 2015-07-01 16:57 - Dave Vieglais

- % Done changed from 30 to 50

- Status changed from In Progress to Testing
#7 - 2015-09-30 15:11 - Andrei Buium
- Status changed from Testing to Closed

- % Done changed from 50 to 100

Tests ran successfully and passed against DEV2 environment.
